---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2020-05-26T09:46:43Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:app: {}
    manager: cluster-version-operator
    operation: Update
    time: "2020-05-26T09:46:43Z"
  name: oauth-openshift
  namespace: openshift-authentication
  resourceVersion: "13495"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-authentication/servicemonitors/oauth-openshift
  uid: fe9dd59b-2eb6-4879-9146-76f071dd4043
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    metricRelabelings:
    - action: drop
      regex: etcd_(debugging|disk|request|server).*
      sourceLabels:
      - __name__
    path: /metrics
    port: https
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: oauth-openshift.openshift-authentication.svc
  jobLabel: component
  selector:
    matchLabels:
      app: oauth-openshift
